compact2, compact3
javax.sql

## Interface RowSetListener

- All Superinterfaces:
    EventListener

      public interface RowSetListener
      extends EventListener

  An interface that must be implemented by a component that wants to be notified when a significant event happens in the life of a `RowSet` object. A component becomes a listener by being registered with a `RowSet` object via the method `RowSet.addRowSetListener`. How a registered component implements this interface determines what it does when it is notified of an event.
  Since:
    1.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cursorMoved(RowSetEvent event)` | Notifies registered listeners that a `RowSet` object's cursor has moved.
    `void` | `rowChanged(RowSetEvent event)` | Notifies registered listeners that a `RowSet` object has had a change in one of its rows.
    `void` | `rowSetChanged(RowSetEvent event)` | Notifies registered listeners that a `RowSet` object in the given `RowSetEvent` object has changed its entire contents.

- - ### Method Detail

    - #### rowSetChanged

          void rowSetChanged(RowSetEvent event)

      Notifies registered listeners that a `RowSet` object in the given `RowSetEvent` object has changed its entire contents.

      The source of the event can be retrieved with the method `event.getSource`.

      Parameters:
        `event` - a `RowSetEvent` object that contains the `RowSet` object that is the source of the event

    - #### rowChanged

          void rowChanged(RowSetEvent event)

      Notifies registered listeners that a `RowSet` object has had a change in one of its rows.

      The source of the event can be retrieved with the method `event.getSource`.

      Parameters:
        `event` - a `RowSetEvent` object that contains the `RowSet` object that is the source of the event

    - #### cursorMoved

          void cursorMoved(RowSetEvent event)

      Notifies registered listeners that a `RowSet` object's cursor has moved.

      The source of the event can be retrieved with the method `event.getSource`.

      Parameters:
        `event` - a `RowSetEvent` object that contains the `RowSet` object that is the source of the event

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.